# $Revision: 1.73 $, $Date: 2012/02/12 12:14:11 $
#
# Conditional build:
%bcond_without	gnome	# without gnome-print support
#
Summary:	A GNOME Vector Graphics Application
Summary(pl.UTF-8):	Aplikacja do grafiki wektorowej dla GNOME
Name:		sodipodi
Version:	0.34
Release:	9
License:	GPL
Group:		Applications/Graphics
Source0:	http://dl.sourceforge.net/sodipodi/%{name}-%{version}.tar.gz
# Source0-md5:	396cd78526e5a8102fd11114f45a70fe
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-home_etc.patch
Patch2:		%{name}-locale_names.patch
Patch3:		%{name}-libpng15.patch
URL:		http://sodipodi.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	freetype-devel
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	libart_lgpl-devel >= 2.3.10
%{?with_gnome:BuildRequires:	libgnomeprint-devel >= 2.0.0}
%{?with_gnome:BuildRequires:	libgnomeprintui-devel >= 2.0.0}
BuildRequires:	libpng-devel
BuildRequires:	libxml2-devel >= 2.4.24
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(XML::XQL)' 'perl(XML::XQL::DOM)'

%description
Sodipodi is a general vector drawing program for GNOME environment.

%description -l pl.UTF-8
Sodipodi jest ogólnym programem do rysowania wektorowego dla
środowiska GNOME.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

mv -f po/{no,nb}.po
mv -f po/sr\@{Latn,latin}.po

%build
%configure \
	%{?with_gnome:--with-gnome-print}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Graphicsdir=%{_desktopdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
[ ! -x /usr/bin/update-desktop-database ] || /usr/bin/update-desktop-database >/dev/null 2>&1 ||:

%postun
umask 022
[ ! -x /usr/bin/update-desktop-database ] || /usr/bin/update-desktop-database >/dev/null 2>&1

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/sodipodi
%{_mandir}/man1/*
%{_pixmapsdir}/*
%{_desktopdir}/*.desktop
%{_libdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sodipodi.spec,v $
Revision 1.73  2012/02/12 12:14:11  adamg
- release 9 (rebuild against libpng-1.5)

Revision 1.72  2012/02/12 08:13:18  arekm
- release 8

Revision 1.71  2012/02/07 22:07:32  arekm
- release 7

Revision 1.70  2010/02/01 17:32:30  sparky
- (with gnome) BR: libgnomeprintui-devel

Revision 1.69  2010/01/31 11:13:19  megabajt
- release 6

Revision 1.68  2007/11/10 19:03:11  megabajt
- sr@Latn -> sr@latin; release 5

Revision 1.67  2007/02/12 22:09:15  glen
- tabs in preamble

Revision 1.66  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.65  2006/11/07 22:30:06  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.64  2004/11/27 18:52:09  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.63  2004/11/03 11:41:33  paladine
- rel 4

Revision 1.62  2004/09/13 22:03:15  grzegol
- run /usr/bin/update-desktop-database in %post and %postun

Revision 1.61  2004/08/06 19:25:51  ankry
- rel. 3

Revision 1.60  2004/07/23 09:12:49  ankry
- no -> np (locale_names patch), rel. 2

Revision 1.59  2004/02/12 20:21:47  qboosh
- added gnome-killing bcond

Revision 1.58  2004/02/12 13:33:59  grzegol
- updated to 0.34
- enabled gnome-print
- more BRs

Revision 1.57  2003/11/30 20:10:59  krzak
- up to 0.33

Revision 1.56  2003/11/19 23:11:34  witekfl
- added home_etc.patch
- rel 2

Revision 1.55  2003/09/13 14:50:49  blues
- release 1

Revision 1.54  2003/08/26 20:31:21  ankry
- s/[Gg]nome/GNOME/

Revision 1.53  2003/08/19 14:39:36  qboosh
- updated _noauto for new wrappers

Revision 1.52  2003/07/07 13:20:22  qboosh
- use _desktopdir macro

Revision 1.51  2003/07/03 13:47:09  trojan
- added noautoreq for some perl modules

Revision 1.50  2003/06/23 08:53:16  qboosh
- macro cosmetics, sorted BRs

Revision 1.49  2003/06/20 14:01:01  adamg
- updated to 0.32
- added missing %{_libdir}/sodipopi

Revision 1.48  2003/05/28 13:01:59  malekith
- massive attack: source-md5

Revision 1.47  2003/05/25 06:26:53  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.46  2003/03/12 09:54:55  qboosh
- working Source URL, minor fixes where needed

Revision 1.45  2003/03/04 09:30:34  trojan
- updated to 0.31.1

Revision 1.44  2003/02/22 18:37:47  aflinta
- updated to version 0.31

Revision 1.43  2003/02/12 14:30:36  trojan
- updated to 0.30.1

Revision 1.42  2003/02/09 15:12:16  wrobell
- ver. 0.30

Revision 1.41  2003/01/28 19:31:49  aflinta
- updated to version 0.29

Revision 1.40  2003/01/18 22:56:20  juandon
- removed two lines with define

Revision 1.39  2002/11/29 12:02:58  wiget
- added oaf.patch

Revision 1.38  2002/10/22 13:35:43  zytek
- upgraded to 0.27, not tested if builds yet

Revision 1.37  2002/10/09 13:14:48  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.36  2002/10/08 20:20:23  klakier
- added POTFILES hack from ginf.spec

Revision 1.35  2002/10/08 16:26:04  klakier
- ver 0.26
- removed am15.patch and includes.patch (they are both rejected)
- fixed: automake is called before autoconf

Revision 1.34  2002/08/06 13:03:11  qboosh
- BR: libglade-gnome-devel

Revision 1.33  2002/06/19 07:49:16  kloczek
- mre macros and use new %doc.

Revision 1.32  2002/06/19 06:50:29  jajcus
- Release 4; STBR (bug #243)

Revision 1.31  2002/06/19 06:37:19  jajcus
- BuildRequires: gdk-pixbuf-gnome-devel

Revision 1.30  2002/05/21 23:14:46  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
  	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.29  2002/03/24 23:28:25  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.28  2002/02/22 23:29:44  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.27  2002/01/18 02:15:02  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.26  2002/01/13 14:08:41  kloczek
- release 3: rebuild against gal 0.19.

Revision 1.25  2001/12/18 11:49:49  qboosh
- typo, added pl translations; release 2

Revision 1.24  2001/11/26 03:24:06  kloczek
- updated to 0.24.1,
- rebuild against gal 0.18.

Revision 1.23  2001/11/24 23:52:21  qrczak
- sodipodi-includes.patch: repair and add missing include paths

Revision 1.22  2001/09/28 02:18:01  kloczek
- updated to 0.24,
- added man page for sodipodi in %files list.

Revision 1.21  2001/09/10 00:23:01  kloczek
- added am15 patch (but probably in this case it is automake bug).

Revision 1.20  2001/09/09 19:50:17  kloczek
- release 4: rebuild against gal 0.11.2.

Revision 1.19  2001/07/26 07:33:03  kloczek
- release 3: rebuild against gal 0.9.

Revision 1.18  2001/06/29 00:07:34  kloczek
- release 2: rebuild against gal 0.8.

Revision 1.17  2001/05/19 06:14:16  kloczek
- updated to 0.23.

Revision 1.16  2001/04/24 01:38:35  kloczek
- release 4: rebuild against gnome-print 0.28.

Revision 1.15  2001/04/19 00:09:18  kloczek
- added missing "-I macros" to aclocal parametres.

Revision 1.14  2001/04/19 00:06:18  kloczek
- release 3,
- rebuild against gal 0.7.

Revision 1.13  2001/03/19 17:51:28  kloczek
- release 2: added issing gal-devel BuildRequires and rebuild against gal 0.5.

Revision 1.12  2001/03/11 12:13:05  kloczek
- updated to 0.22,
- removed outdated DESTDIR patch, regerate am/ac files and BuildRequires for
  automake, autoconf.

Revision 1.11  2001/02/02 17:50:35  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.10  2001/01/27 03:20:40  kloczek
- updated to 0.21,
- removed obsoleted bonobo patch.

Revision 1.9  2000/11/04 12:36:12  kloczek
- release 3: added bonobo-devel >= 0.28 to BuildRequires.

Revision 1.8  2000/10/30 13:22:39  kloczek
- release 2: rebuild against gnome-libs linked with db3.

Revision 1.7  2000/10/10 17:22:32  kloczek
- updated to 0.20,
- updated BuildRequires rules,
- use new rpm automation suit and adapterized.

Revision 1.6  2000/07/28 10:18:10  kloczek
- release 2,
- rebuild against current gdk-pixbup.

Revision 1.5  2000/06/13 20:08:03  kloczek
- changed Source url to ftp://download.sourceforge.net/pub/sourceforge/*.

Revision 1.4  2000/06/09 07:55:11  kloczek
- more %{__make} macros.

Revision 1.3  2000/06/09 07:23:59  kloczek
- added using %{__make} macro.

Revision 1.2  2000/04/05 23:19:05  kloczek
- completly rewrited in PLD style.
